Inner Space - Feature - New #3

SDK Versioning in extension name
2013-09-25 02:28 PM - CyberTech

Status: Closed Start date: 2013-09-25
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

vbulletin_issue_id:

Description
Can you think of any way to have "ext isxeve" load SDK 32 or 33 as appropriate

Like.. if isxeve.dll can't be loaded, look for isxeve_sdk<current>.dll. Rename isxeve.dll -> .dll.bak, rename isxeve_sdk33.dll ->
isxeve.dll, and try again

or even rename isxeve.dll -> isxeve_sdk<detected version>.dll, if it's possible to detect the version -- i think it is, i seem to recall you
print the msg.

that would enable people to switch between live and dev builds, and IS would load the correct isxeve each time

It would also enable us to ship the dll for the new build BEFORE it's required, avoiding a manual reinstall.

History

#1 - 2014-01-03 11:46 PM - CyberTech
- Status changed from New to Resolved

- % Done changed from 0 to 100

- New API versions for Visual Studio 2013 support. Visual Studio 2010 no longer supported
* ISXDK 33: Extensions\ISXDK33\* is now checked for extension before Extensions\*

#2 - 2014-03-19 07:38 PM - CyberTech

- Status changed from Resolved to Closed
